<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSimStatusDuringActivationInput StructType
 * @subpackage Structs
 */
class GetSimStatusDuringActivationInput extends AbstractStructBase
{
    /**
     * The ModemSerial
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ModemSerial;
    /**
     * Constructor method for GetSimStatusDuringActivationInput
     * @uses GetSimStatusDuringActivationInput::setModemSerial()
     * @param string $modemSerial
     */
    public function __construct($modemSerial = null)
    {
        $this
            ->setModemSerial($modemSerial);
    }
    /**
     * Get ModemSerial value
     * @return string|null
     */
    public function getModemSerial()
    {
        return $this->ModemSerial;
    }
    /**
     * Set ModemSerial value
     * @param string $modemSerial
     * @return \CustomerManagement\StructType\GetSimStatusDuringActivationInput
     */
    public function setModemSerial($modemSerial = null)
    {
        // validation for constraint: string
        if (!is_null($modemSerial) && !is_string($modemSerial)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($modemSerial, true), gettype($modemSerial)), __LINE__);
        }
        $this->ModemSerial = $modemSerial;
        return $this;
    }
}
